/v1/api/secretsProfiles (POST) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Creates a new secrets profile.

POST https://api-<BlueCat.edge.url>/v1/api/secretsProfiles
Authorization: Bearer authorization token
Content-Type: Application/JSON
{
  "name": "string",
  "secrets": [
    {
      "name": "string",
      "type": "CERTIFICATE",
      "data": {
          "certificate": "<JSON-escapted-pem-string>",
          "password": "<password-string>"
      }
    },
    {
      "name": "string",
      "type": "TEXT",
      "data": "string"
    }
  ]
}
Body parameters
  • name—the name of the secrets profile
  • secrets—the secrets to be added tot he secrets profile. The secrets includes the following:
    • name— the name of the secret. This name will be used in fields where the associated sensitive data is required.
    • data—enter the sensitive data to associate to the secrets name.

      For more information on the requirements for sensitive data types, refer to /v1/api/secrets (POST).

Successful response

201 CREATED
Location: <the location and UUID of the secrets profile>
Content-Type: Application/JSON
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Password",
  "dateCreated": 946684800000,
  "dateLastModified": 946684800000,
  "secrets": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "type": "TEXT",
      "secretsProfileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "secret1",
      "dateCreated": 946684800000,
      "dateNameLastModified": 946684800000,
      "dateDataLastModified": 946684800000,
      "dateLastDecrypted": 946684800000
    },
    {
      "id": "4d25c8d6-fe6f-4e6b-8f92-e1e8e370e2e0",
      "type": "CERTIFICATE",
      "secretsProfileId": "9fe9939c-a254-442b-a62d-5cb4300d38ff",
      "name": "DNS encryption certificate",
      "dateCreated": 946684800000,
      "dateNameLastModified": 946684800000,
      "dateDataLastModified": 946684800000,
      "dateLastDecrypted": 946684800000,
      "certificate": {
        "commonName": "common.name",
        "issuer": "issuer.name",
        "expiresAt": 946685900000
      }
    }
  ]
}
Possible error codes:
  • BAD REQUEST - Invalid request
  • CONFLICT - A secrets profile with the specified name already exists
  • INTERNAL SERVER ERROR - Unexpected error